# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-02-23 10:41
from __future__ import unicode_literals

from django.db import migrations, models
import django.utils.timezone
from datetime import timedelta

def update_delete_date(apps, schema_editor):
    User = apps.get_model("accounts", "User")
    db_alias = schema_editor.connection.alias
    for user in User.objects.using(db_alias).filter(login_inp_net="", is_anonyme=False):
        if not user.is_active or user.last_login is None:
            user.delete_date = django.utils.timezone.now() + timedelta(days=7)
        else:
            user.delete_date = user.last_login + timedelta(days=365)
            user.mail_delete = True
        user.save()

class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0018_user_is_anonyme'),
    ]

    operations = [
        migrations.AddField(
            model_name='user',
            name='delete_date',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='user',
            name='mail_delete',
            field=models.BooleanField(default=False),
        ),
        migrations.RunPython(update_delete_date),
    ]
